[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.GetNextChild

Returns the next child node for the parent node specified in AValue.

## Declaration

Source position: comctrls.pp line 3116

`public function TTreeNode.GetNextChild(`
`AValue: TTreeNode`
`):TTreeNode;`

## Arguments

`AValue` |  | Tree node examined to locate its first child node.

## Function result

TTreeNode which is the first child node in the specified parent, or Nil when a node is not assigned to AValue.

## Description

Calls GetNextSibling to get the return value for the method. Returns Nil if AValue has not been assigned.

## See also

TTreeNode.GetNextSibling |  | Returns the next node in the tree hierarchy at the same level as the current node.